Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,729,023 Members 40,998 Now Online
XDA Developers Android and Mobile Development Forum

[Q] status 7 error despite editing updater_script

Tip us?
 
noteHack
Old
#1  
Junior Member - OP
Thanks Meter 0
Posts: 2
Join Date: Mar 2014
Default [Q] status 7 error despite editing updater_script

Hi

This is my first time flashing a custom ROM and so far no success.

I have flashed philz touch 5 from http://forum.xda-developers.com/show....php?t=1901191 for my build version XXLT4.

I wanted to flash the latest Carbon kitkat rom but in vain. The error message is attached.

SInce it is a status 7 error, I followed the advice in http://forum.xda-developers.com/show....php?t=2302599 and edited the updater-script but I still get the same error. Shouldn't I have atleast got "This package is for ...." as written in the script if the assertions were false?

I have also attached the unedited updater_script from the Carbon ROM. The flashing runs into an error after displaying the Carbon logo in ascii i.e after the assertions. Thus, making me believe editing out the assertions won't help and the error lies elsewhere.

I even tried flashing a different ROM (pacman latest nightly http://pacman.basketbuild.com/index....n7000/nightly/)...same error message.

Any help is highly appreciated.

Thanks!
Attached Thumbnails
Click image for larger version

Name:	Foto.JPG
Views:	35
Size:	205.7 KB
ID:	2641393  
Attached Files
File Type: txt updater-script.txt - [Click for QR Code] (17.1 KB, 4 views)
 
Azeazezar
Old
#2  
Azeazezar's Avatar
Senior Member
Thanks Meter 167
Posts: 329
Join Date: Aug 2011
Location: ಠ_ಠ
The problem is the recovery. it is to old. It does not work for any full kitkat rom.
Since the recovery is build into the kernel, just flash a more recent kernel (Raw R5 for example)
Klaatu barada nikto!
The Following 2 Users Say Thank You to Azeazezar For This Useful Post: [ Click to Expand ]
 
AA1973
Old
#3  
AA1973's Avatar
Senior Member
Thanks Meter 8577
Posts: 5,471
Join Date: Sep 2010
Location: Frankfurt
Yep. Flash a *full SELinux compatible recovery and kernel*... and reboot in recovery of the new kernel/recovery.
Raw r4 with CWM or Raw r5 with TWRP are fully compatible.
Before I would edit an updater script, I would do some more reading in these forums . Status 7 in conjunction with "flashing a KitKat Rom" is a very common situation...
The Following User Says Thank You to AA1973 For This Useful Post: [ Click to Expand ]
 
noteHack
Old
#4  
Junior Member - OP
Thanks Meter 0
Posts: 2
Join Date: Mar 2014
Sorry for the noob mistake. I did read a few posts but misunderstood them a little.

In the status 7 thread earlier, it stated that
Kitkat roms have some special permissions statements in the updater script (set_metadata). Older recoveries do not have the ability to handle these statements. Update to the newest recovery available for your phone. Otherwise status 7 error cannot be resolved

In the n7000 subforum, philz touch 5 seemed the latest. Plus, it didn't want to do something not meant or new for my phone and perhaps brick it in the process.

Anyway, thanks for showing me the right direction. I flashed R4 as it is cwm and i hear it is better or simpler (in what way I do not know yet but will find out) than TWRP. Everything worked like a charm and flashed Carbon kitkat, dalvik, cache, data wipe, then gapps flash and voila! I am terribly satisfied with the upgrade. There was a lot of bloat in my 2 years phone. even factory reset didnt help...now it is fantantic! I love the new battery mileage. earlier it used to last not more than 8 hours of normal usage. now it is 65% and still running strong after 10 hours of normal use. very happy!
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes